Bug 849462 - SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from 'read' accesses on the directory /boot.
SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from 'read' acces...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:c9e51352540d5a0e61b63bee952...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 12:34 EDT by Alessandro Machado
Modified: 2012-12-16 08:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 04:21:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessandro Machado 2012-08-19 12:34:27 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.5.2-1.fc17.i686
time:           Dom 19 Ago 2012 13:34:04 BRT

description:
:SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from 'read' accesses on the directory /boot.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If você acredita que o npviewer.bin deva ser permitido acesso de read em boot directory  por default.
:Then você precisa reportar este como um erro.
:Você pode gerar um módulo de política local para permitir este acesso.
:Do
:permitir este acesso agora executando:
:# grep pool /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                system_u:object_r:boot_t:s0
:Target Objects                /boot [ dir ]
:Source                        pool
:Source Path                   /usr/lib/nspluginwrapper/npviewer.bin
:Port                          <Desconhecido>
:Host                          (removed)
:Source RPM Packages           nspluginwrapper-1.4.4-9.fc17.i686
:Target RPM Packages           filesystem-3-2.fc17.i686
:Policy RPM                    selinux-policy-3.10.0-145.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.5.2-1.fc17.i686 #1 SMP Wed Aug
:                              15 16:52:27 UTC 2012 i686 i686
:Alert Count                   2
:First Seen                    2012-08-19 13:32:37 BRT
:Last Seen                     2012-08-19 13:32:37 BRT
:Local ID                      f8d5688d-9877-43d5-b750-14f5dce65e09
:
:Raw Audit Messages
:type=AVC msg=audit(1345393957.788:138): avc:  denied  { read } for  pid=26851 comm="pool" name="/" dev="sda1" ino=2 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:boot_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1345393957.788:138): arch=i386 syscall=open success=no exit=EACCES a0=8fdea28 a1=48000 a2=0 a3=0 items=0 ppid=25479 pid=26851 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=pool exe=/usr/lib/nspluginwrapper/npviewer.bin subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: pool,mozilla_plugin_t,boot_t,dir,read
:
:audit2allow
:
:#============= mozilla_plugin_t ==============
:allow mozilla_plugin_t boot_t:dir read;
:
:audit2allow -R
:
:#============= mozilla_plugin_t ==============
:allow mozilla_plugin_t boot_t:dir read;
:
Comment 1 Daniel Walsh 2012-08-20 06:13:10 EDT
You have a firefox plugin that is trying to list the contents of /boot?  Named pool?  Any idea what this is?

Note You need to log in before you can comment on or make changes to this bug.